/*
Version: 3.0.8
Theme Name: Organic
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
*/

/*************** ADD CUSTOM CSS HERE.   ***************/

.d-flex {
    display: -ms-flexbox!important;
    display: flex!important;
}

.justify-content-between {
    -ms-flex-pack: justify!important;
    justify-content: space-between!important;
}

.absolute-footer {
    display: none !important;
}

.small-prod-add-to-cart-btn {
    font-size: 14px;
    text-transform: none;
    padding: 0;
    width: 100%;
    margin: 0;
    background: #c02f3c;
    border-radius: 4px;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
}

.box .small-prod-add-to-cart-btn {
    display: flex;
}

.small-prod-add-to-cart-btn svg {
    height: 20px;
}

.small-prod-add-to-cart-quantity {
    display: none;
    align-items: center;
    justify-content: center;
    gap: 5px;
    margin-top: 1em;
    border: 1px solid #c02f3c;
    border-radius: 4px;
    position: relative;
}

.small-prod-add-to-cart-quantity.show {
    display: flex;
}

.small-prod-add-to-cart-quantity input, .small-prod-add-to-cart-quantity button {
    margin: 0;
}

.small-prod-add-to-cart-quantity input {
    text-align: center;
    box-shadow: none;
    height: 30px;
    border: none;
    transition: none;
}

.small-prod-add-to-cart-quantity.loading input {
    color: #fff;
}

.small-prod-add-to-cart-quantity.loading:before {
    background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200"><radialGradient id="a10" cx=".66" fx=".66" cy=".3125" fy=".3125" gradientTransform="scale(1.5)"><stop offset="0" stop-color="%239C1A25"></stop><stop offset=".3" stop-color="%239C1A25" stop-opacity=".9"></stop><stop offset=".6" stop-color="%239C1A25" stop-opacity=".6"></stop><stop offset=".8" stop-color="%239C1A25" stop-opacity=".3"></stop><stop offset="1" stop-color="%239C1A25" stop-opacity="0"></stop></radialGradient><circle transform-origin="center" fill="none" stroke="url(%23a10)" stroke-width="15" stroke-linecap="round" stroke-dasharray="200 1000" stroke-dashoffset="0" cx="100" cy="100" r="70"><animateTransform type="rotate" attributeName="transform" calcMode="spline" dur="2" values="360;0" keyTimes="0;1" keySplines="0 0 1 1" repeatCount="indefinite"></animateTransform></circle><circle transform-origin="center" fill="none" opacity=".2" stroke="%239C1A25" stroke-width="15" stroke-linecap="round" cx="100" cy="100" r="70"></circle></svg>');
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 20px;
    height: 20px;
    margin: auto;
}

.small-prod-add-to-cart-quantity button {
    color: #c02f3c;
    border-radius: 4px;
    height: 30px;
    border: 0;
    min-height: unset;
    padding: 0 15px;
    display: flex;
    align-items: center;
}

.small-prod-add-to-cart-quantity button svg {
    width: 16px;
    height: 16px;
}

.listmenu-site-cart {
    display: none;
}



@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/
    .listmenu-site-cart {
        display: block;
        position: fixed;
        bottom: 0;
        z-index: 996;
        background: transparent;
        width: 100%;
        left: 0;
        transition: all .3s;
    }

    .listmenu-site-cart .addthis_mobile {
        
    }

    .listmenu-site-cart .addthis_mobile .cart-mobile-header {
        display: flex;
        justify-content: space-between;
        background: #c02f3c;
        width: 100%;
        color: #fff;
        padding: 6px 16px;
        gap: 10px;
        height: 50px;
        font-size: 13px;
        align-items: center;
        cursor: pointer;
    }
    
    .listmenu-site-cart .addthis_mobile .cart-mobile-header .cartmb--1, .listmenu-site-cart .addthis_mobile .cart-mobile-header .cartmb--3 {
        text-transform: uppercase;
        font-size: 12px;
    }

    .listmenu-site-cart .addthis_mobile .cart-mobile-header .cartmb--3 {
        cursor: pointer;
    }
    
    .listmenu-site-cart .addthis_mobile .cart-mobile-header .cartmb--2 {
        font-size: 15px;
        font-weight: bold;
        width: 100%;
        position: absolute;
        text-align: center;
        left: 0;
    }

    .open-mb-cart .mb-cart-overlay {
        position: fixed;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        transition: all .3s;
        z-index: 995;
        background: rgba(0, 0, 0, 0.5);
        opacity: 1;
        visibility: visible;
    }
    
    .mb-cart-overlay {
        opacity: 0;
        visibility: hidden;
    }
    
    .listmenu-site-cart .orders-cart {
        display: none;
        overflow: hidden;
        background: #fff;
    }
    
    .listmenu-site-cart.show .orders-cart {
        
    }

    .listmenu-site-cart p {
        margin: 0;
    }

    .listmenu-site-cart .orders-cart .orders-cart-item {
        padding: 8px 14px 8px 8px;
        max-height: 50vh;
        overflow-y: scroll;
    }

    .listmenu-site-cart .orders-cart .orders-cart-item ul {
        margin: 0 !important;
    }

    .listmenu-site-cart .orders-cart .orders-cart-bottom {
        position: relative;
        padding: 15px 15px 12px;
        background: #f0f0f0;
        border-top: 1px solid #ddd;
    }

    .listmenu-site-cart .orders-cart .orders-cart-bottom .flex-total {
        margin-bottom: 0;
        font-weight: 500;
        font-size: 15px;
        display: -moz-flex;
        display: -webkit-flex;
        display: -o-flex;
        display: flex;
        -ms-justify-content: space-between;
        -webkit-justify-content: space-between;
        justify-content: space-between;
        -ms-align-items: center;
        -webkit-align-items: center;
        align-items: center;
    }

    .listmenu-site-cart .orders-cart .orders-cart-bottom .flex-total .amount {
        color: #db1a2a;
    }

    .listmenu-site-cart .orders-cart .orders-cart-bottom .flex-total .orders-total:not(.small) {
        color: #db1a2a;
        font-size: 20px;
        line-height: 1.2;
        padding-left: 15px;
        font-weight: 600;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time {
        z-index: 9;
        padding: 0 15px;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--action {
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        width: 1%;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--action .textbox {
        margin-top: 7px;
        margin-bottom: 0;
        font-weight: 500;
        font-size: 13px;
        text-transform: uppercase;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--action, .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise {
        padding-top: 7px;
        padding-bottom: 7px;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise {
        padding-left: 20px;
    }

    .form-check {
        position: relative;
        display: block;
        padding-left: 1.25rem;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise .choise-option {
        padding-left: 20px;
        margin: 4px 0;
    } 
    
    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise .choise-option .form-check-input[type='radio'] {
        position: absolute;
        top: 0;
        left: 0;
        margin-left: 0;
        margin-top: 7px;
        height: 14px;
        width: 14px;
        color: #fff;
        background: transparent;
        border: 0;
        border-radius: 50%;
        cursor: pointer;
        outline: none;
        display: inline-block;
        transition: all 0.15s ease-out 0s;
        -webkit-transition: all 0.15s ease-out 0s;
        -webkit-appearance: none;
        -moz-appearance: none;
        -ms-appearance: none;
        -o-appearance: none;
        appearance: none;
        margin-right: 0;
        margin-bottom: 0;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise .choise-option .form-check-input[type='radio'] + .form-check-label {
        font-weight: 500;
        font-size: 14px;
        cursor: pointer;
        opacity: 0.8;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise .choise-option .form-check-input[type='radio']:checked + .form-check-label {
        color: #000;
        opacity: 1;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise .choise-option .form-check-input[type='radio']:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        display: inline-block;
        height: 14px;
        width: 14px;
        background: #ffffff;
        border: 1px solid #818181;
        box-sizing: border-box;
        border-radius: 50%;
        transition-property: all;
        transition-duration: 0.2s;
        transition-timing-function: linear;
        transition-delay: 0.2s;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise .choise-option .form-check-input[type='radio']:after {
        content: "";
        display: flex;
        height: 100%;
        width: 100%;
        align-items: center;
        justify-content: center;
        position: absolute;
        top: 0;
        transition-property: all;
        transition-duration: 0.2s;
        transition-timing-function: linear;
        transition-delay: 0s;
        transform-origin: center center;
        opacity: 0;
        background: url('data:image/svg+xml,<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><path d="M4 12.6111L8.92308 17.5L20 6.5" stroke="%23ffffff" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></g></svg>');
        background-size: 100%;
        background-repeat: no-repeat;
        background-position: center;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise .choise-option .form-check-input[type='radio']:checked:before {
        background: #db1a2a;
        border-color: #db1a2a;
    }

    .listmenu-site-cart .orders-cart .orders-cart-time #header-pick-time .cart-time--choise .choise-option .form-check-input[type='radio']:checked::after {
        transform: scale(1);
        opacity: 1;
        transition-property: all;
        transition-duration: 0.2s;
        transition-timing-function: cubic-bezier(0.57, 1.9, 0, 1.52);
        transition-delay: 0.2s;
    }

    .listmenu-site-cart .orders-cart .orders-cart-payment {
        padding: 10px 15px;
        background: #f0f0f0;
    }

    .listmenu-site-cart .orders-cart .orders-cart-payment .btn-link {
        display: block;
        width: 100%;
        padding: 8px 10px;
        text-align: center;
        font-weight: 600;
        font-size: 16px;
        background: #c02f3c;
        color: #ffffff;
        text-transform: uppercase;
        -webkit-border-radius: 4px;
        border-radius: 4px;
        -webkit-transition: 0.1s ease-in-out;
        transition: 0.1s ease-in-out;
    }

    .listmenu-site-cart .orders-cart .orders-cart-payment .btn-link.disabled {
        opacity: 0.7;
        pointer-events: none;
    }

    .listmenu-site-cart.show .addthis_mobile .cart-mobile-header {
        border-radius: 16px 16px 0 0;
    }

    .listmenu-site-cart.show .cart-mobile:before {
        content: "";
        position: absolute;
        transform: translateX(-50%);
        left: 50%;
        top: -14px;
        width: 48px;
        height: 6px;
        border-radius: 3px;
        background: #ffffff;
    }

    .listmenu-site-cart .addthis_mobile .cart-mobile-header .cartmb--1 .header {
        display: flex;
        align-items: center;
        gap: 5px;
    }
    
    .listmenu-site-cart .addthis_mobile .cart-mobile-header .cartmb--1 strong {
        color: #fff;
        margin: 0;
        border: 0;
        height: auto;
        width: auto;
    }
    
    .listmenu-site-cart .addthis_mobile .cart-mobile-header .cartmb--1 strong::after {
        display: none;
    }
    
    .listmenu-site-cart .addthis_mobile .cart-mobile-header .cartmb--2 .amount {
        color: #fff;
    }

    .listmenu-site-cart .orders-cart .orders-cart-item .custom_remove_from_cart_button {
        border: 2px solid;
        border-radius: 100%;
        color: #9c1a25;
        display: block;
        font-size: 11px !important;
        font-weight: 700;
        height: 18px;
        line-height: 13px !important;
        text-align: center;
        width: 18px;
        position: absolute;
        right: 0;
        z-index: 9;
    }

    .listmenu-site-cart .orders-cart .orders-cart-item .woocommerce-mini-cart-item.mini_cart_item.loading::before {
        background: #ffffffb3;
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        content: '';
        z-index: 30;
    }

    .listmenu-site-cart .orders-cart .orders-cart-item .woocommerce-mini-cart-item.mini_cart_item.loading::after {
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        margin: auto;
        width: 35px;
        height: 35px;
        content: '';
        z-index: 30;
        background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200"><radialGradient id="a10" cx=".66" fx=".66" cy=".3125" fy=".3125" gradientTransform="scale(1.5)"><stop offset="0" stop-color="%239C1A25"></stop><stop offset=".3" stop-color="%239C1A25" stop-opacity=".9"></stop><stop offset=".6" stop-color="%239C1A25" stop-opacity=".6"></stop><stop offset=".8" stop-color="%239C1A25" stop-opacity=".3"></stop><stop offset="1" stop-color="%239C1A25" stop-opacity="0"></stop></radialGradient><circle transform-origin="center" fill="none" stroke="url(%23a10)" stroke-width="15" stroke-linecap="round" stroke-dasharray="200 1000" stroke-dashoffset="0" cx="100" cy="100" r="70"><animateTransform type="rotate" attributeName="transform" calcMode="spline" dur="2" values="360;0" keyTimes="0;1" keySplines="0 0 1 1" repeatCount="indefinite"></animateTransform></circle><circle transform-origin="center" fill="none" opacity=".2" stroke="%239C1A25" stroke-width="15" stroke-linecap="round" cx="100" cy="100" r="70"></circle></svg>');
        background-size: 100%;
        background-repeat: no-repeat;
        background-position: center;
    }

    form[name="checkout"] .form-row label {
        opacity: 1 !important;
        z-index: 2;
        white-space: normal !important;
    }

    form[name="checkout"] .form-row .select2-container .select2-selection {
        height: 45px;
    }

    form[name="checkout"] .form-row .select2-container .select2-selection--single .select2-selection__rendered {
        height: 45px;
        line-height: 58px;
        font-size: 14px;
    }

    form[name="checkout"] .input-text {
        padding-top: 25px;
        font-size: 14px;
    }

    form[name="checkout"] #order_comments_field label {
        display: none;
    }

    form[name="checkout"] #order_comments_field textarea {
        padding-top: 10px;
        line-height: normal;
    }

    form[name="checkout"] #billing_ship_time_field .woocommerce-input-wrapper {
        display: flex;
        align-items: center;
    }
    
    form[name="checkout"] #billing_ship_time_field .woocommerce-input-wrapper input {
        margin: 0 10px 0 0;
        height: 30px;
    }
    
    form[name="checkout"] #billing_ship_time_field .woocommerce-input-wrapper label {
        margin: 0 30px 0 0;
    }

    body.woocommerce-checkout .listmenu-site-cart {
        display: none !important;
    }
}